<ng-container *ngIf="vm$ | async as vm">
	<div class="container-fluid pb-2 compare-panel-bg">
	
		<div class="row pb-2 justify-content-end">
			<div class="col-auto pe-0">
				<button (click)="clearCompareList()" class="clear-btn btn btn-danger rounded pet-glow-dark-btn-sm-rev border-danger-fluo">
					<fa-icon [icon]="iconClear" class="light-svg me-1"></fa-icon>
					<span i18n="@@clearBtn">Clear</span>
				</button>
			</div>
		</div>
		
		<div class="row pb-1 justify-content-around">
			<div *ngFor="let prod of vm.products" class="col-3 d-flex justify-content-center">
				<div class="position-relative border border-secondary-dark pet-glow-secondary rounded">
					<button type="button" class="close-btn btn btn-danger p-0 rounded-circle pet-glow-dark-btn-sm border-danger-fluo" 
						(click)="rmProduct(prod)">
						<fa-icon [icon]="iconClose" [fixedWidth]="true"></fa-icon>
					</button>
					<img class="img-fluid" src="{{imgsDir}}/{{prod.id}}/frontImg_sm.jpg">
				</div>
			</div>
		</div>
	
		<div class="row px-1">
			<div *ngFor="let prod of vm.products" class="col overflow-hidden border border-secondary pet-glow-secondary rounded-top">
				<div class="row">
					<div class="col p-1 bg-light text-truncate text-primary-dark border-bottom-1">
						<span [title]="prod.fsDto.brand" appTouchTooltip>{{ prod.fsDto.brand }}</span>
					</div>
				</div>
				<div class="row">
					<div class="col p-1 bg-light text-truncate text-primary-dark border-bottom-1">
						<span [title]="prod.fsDto.line" appTouchTooltip>{{ prod.fsDto.line }}</span>
					</div>
				</div>
				<div class="row">
					<div class="col d-flex justify-content-between p-1 bg-light text-truncate text-primary-dark border-bottom-1">
						<span [title]="prod.fsDto.recipe" appTouchTooltip>{{ prod.fsDto.recipe }}</span>
					</div>
				</div>
				<div class="row">
					<a class="btn btn-sm btn-primary-dark pet-glow-dark-btn pet-nav-button" 
						[routerLink]="['/product', 'view']" [queryParams]="{id: prod.id}"
						i18n="btn@@viewProd">View<fa-icon [icon]="iconGoto" class="light-svg ms-2"></fa-icon>
					</a>
				</div>
			</div>
		</div>
	
		<div *ngIf="!vm.compareEmpty" class="row px-1">
			<div class="col">
				<div class="row">
					<div class="col text-bg-secondary-dark"	i18n="title@@ingredients">
				    <span class="h4">Ingredients</span>
				  </div>
				</div>
				<div class="row" *ngFor="let row of vm.transposedIngMatrix">
					<div class="col overflow-hidden" *ngFor="let iq of row">
						<div *ngIf="iq" class="row pe-0 d-flex justify-content-start">
							<div class="col">
								<div class="row text-bg-secondary-lighter">
									<div class="col-9 m-0 ps-1 text-truncate">
										<span [title]="iq.ingredient" appTouchTooltip>{{ iq.ingredient }}</span>
									</div>
									<div class="col-3 p-0">
										<div class="d-flex justify-content-between p-0">
											<div class="ps-1 flex-grow-1">
												<span>{{ !!iq.ingPerc ? iq.ingPerc+'%' : '-' }}</span>
											</div>
										</div>
									</div>
								</div>
								<div class="row px-2 striped-grid-nested" *ngFor="let cq of iq.compQuotasList">
									<div class="col-9 px-0 striped-item">
										<div class="text-truncate">
											<span class="small" [title]="cq.component" appTouchTooltip>{{ cq.component }}</span>
										</div>
									</div>
									<div class="col-3 px-0 striped-item border-bottom-1 border-primary-lightest">
										<span class="small">{{ !!cq.compPerc ? cq.compPerc+'%' : '-' }}</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	
		<div *ngIf="!vm.compareEmpty"class="row px-1">
			<div class="col">
				<div class="row">
					<div class="col text-bg-secondary-dark" i18n="title@@analysis">
				    <span class="h4">Analysis</span>
				  </div>
				</div>
				<div class="row striped-grid" *ngFor="let element of _elements">
					<div class="col">
						<div class="row pe-2">
							<div class="col ps-1 border-end-3 border-secondary text-truncate">
								<span class="ps-1">{{ element[1] }}</span>
							</div>
							<div class="col-1">
								<span class="d-flex pe-3 justify-content-end">{{ !!vm.products[0].tsDto && !!vm.products[0].tsDto.analysis[element[0]] ? vm.products[0].tsDto.analysis[element[0]]+'%' : '-' }}</span>
							</div>
						</div>
					</div>
					<div class="col pe-0" *ngFor="let prod of vm.products | slice:1">
						<span class="d-flex pe-3 justify-content-end">{{ !!prod.tsDto && !!prod.tsDto.analysis[element[0]] ? prod.tsDto.analysis[element[0]]+'%' : '-' }}</span>
					</div>
				</div>
			</div>
		</div>
		
	</div>
</ng-container>
